From bff62aa984d45912e2b4c9a7ba23fa48c670b189 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 7 May 2020 11:31:02 -0400
Subject: [PATCH 3/4] gnu: ktsuss: Revert to default Su.

* gnu/packages/admin.scm (ktsuss): Use Su instead of Sudo; for
compatiblity with SpaceFM.
[arguments]: Remove sudo from configure-flags.
[arguments]: Remove sudopath from phases.
---
 gnu/packages/admin.scm | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index cb3de79713..2feafa8ceb 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -146,17 +146,13 @@
        (file-name (git-file-name name version))))
     (build-system glib-or-gtk-build-system)
     (arguments
-     `(#:configure-flags
-       (list "--enable-sudo=yes")
-       #:phases
+     `(#:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-file-names
            (lambda _
              (substitute* "configure.ac"
                (("supath=`which su 2>/dev/null`")
-                "supath=/run/setuid-programs/su")
-               (("sudopath=`which sudo 2>/dev/null`")
-                "sudopath=/run/setuid-programs/sudo"))
+                "supath=/run/setuid-programs/su"))
              #t)))))
     (native-inputs
      `(("autoconf" ,autoconf)
-- 
2.26.2

